<template>
    <div>
        <ConsultantList
            :agents="pageList"
            @removeAgent="removeAgent"
        ></ConsultantList>

        <UiPagination
            :totalList="consultantList"
            @changePage="changePage"
        ></UiPagination>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop, Emit } from 'nuxt-property-decorator';
import { Agents } from '~/plugins/api/home';

@Component
export default class ConsultantPage extends Vue {
    @Prop() consultantList!: Agents[];
    pageList: Agents[] = [];

    @Emit('remove') remove(agentNo: number) {
        return agentNo;
    }

    changePage(pageList: Agents[]) {
        this.pageList = pageList;
    }

    removeAgent(agentNo: number) {
        this.remove(agentNo);
    }
}
</script>